package application.app.controller
{

	import org.puremvc.as3.patterns.command.MacroCommand;
	
	
	/**
	 * Commande qui exécute d'autres sous-commandes
	 * 
	 * 
	 * @author matth
	 */
	public class ApplicationStartupCommand extends MacroCommand
    {
    	/**
    	 * Ces commandes sont lancées au démarrage de l'application pour l'initialiser.
    	 * 
    	 */
        override protected function initializeMacroCommand():void
        {
            addSubCommand(ModelPrepCommand);
            addSubCommand(ViewPrepCommand);
        }
    }
}
