package application.app.controller
{
	import application.app.model.RPGProxySound;

	import org.puremvc.as3.interfaces.ICommand;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;

	
	/**
	 * Commande qui exécute d'autres sous-commandes
	 * 
	 * 
	 * @author matth
	 */
	public class SoundOnOffCommand extends SimpleCommand implements ICommand
    {
 		
 		/**
 		 * Evènement ApplicationFacade.COMMAND_LOAD_MENU reçu.
 		 * Excécution du code souhaité - chargement des données du model.
 		 * 
 		 */
        override public function execute(note:INotification):void
        {
			var bSoundOn:Boolean = note.getBody() as Boolean;
			
			var oProxySound:RPGProxySound = facade.retrieveProxy(RPGProxySound.NAME) as RPGProxySound;
			
			if( bSoundOn )	oProxySound.startAllSound();
			else	oProxySound.stopAllSound();
        }
 
    }


}
