package application.app.controller
{
	import application.app.model.RPGProxySound;
	import flash.display.Stage;
	import application.app.model.RPGProxy;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	
	
	/**
	 * Sous commande pour préparer le Model
	 * 
	 * @author matth
	 */
	public class ModelPrepCommand extends SimpleCommand
    {
    	/**
    	 * Création et enregistrement des proxy nécessaires au démarrage de l'application.
    	 * Appelé par MacroCommand.
    	 * 
    	 */
        override public function execute(note:INotification):void    
        {
			var oDate:Object = note.getBody() as Object;
			var stage:Stage = oDate.stage as Stage;
            facade.registerProxy(new RPGProxy(stage));
			
			facade.registerProxy(new RPGProxySound());
        }
    }

}
